%global app_version 1.0-SNAPSHOT
%global def_version 1.1-SNAPSHOT
%global cla_version 1.1-SNAPSHOT
%global sty_version 1.2-SNAPSHOT

Name:           maven-skins
Version:        5
Release:        8%{?dist}
Summary:        Maven Skins

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/skins/
# svn export http://svn.apache.org/repos/asf/maven/skins/tags/maven-skins-5
# tar caf maven-skins-5-tar.xz maven-skins-5/
Source0:        %{name}-%{version}.tar.xz
BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  maven-install-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-site-plugin
Requires:       jpackage-utils
Requires:       java

%description
Skins for the maven site generator. 

%prep
%setup -q 

sed -i -e "s|5-SNAPSHOT|5|g" maven-application-skin/pom.xml
sed -i -e "s|5-SNAPSHOT|5|g" maven-default-skin/pom.xml
sed -i -e "s|5-SNAPSHOT|5|g" maven-classic-skin/pom.xml
sed -i -e "s|5-SNAPSHOT|5|g" maven-stylus-skin/pom.xml
rm -fr src/site/site.xml

%build
mvn-rpmbuild install

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}/%{name}
install -m 644 maven-application-skin/target/maven-application-skin-%{app_version}.jar   %{buildroot}%{_javadir}/%{name}/maven-application-skin.jar
install -m 644 maven-default-skin/target/maven-default-skin-%{def_version}.jar   %{buildroot}%{_javadir}/%{name}/maven-default-skin.jar
install -m 644 maven-classic-skin/target/maven-classic-skin-%{cla_version}.jar   %{buildroot}%{_javadir}/%{name}/maven-classic-skin.jar
install -m 644 maven-stylus-skin/target/maven-stylus-skin-%{sty_version}.jar   %{buildroot}%{_javadir}/%{name}/maven-stylus-skin.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom
install -pm 644 maven-application-skin/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-maven-application-skin.pom
%add_maven_depmap JPP.%{name}-maven-application-skin.pom %{name}/maven-application-skin.jar
install -pm 644 maven-default-skin/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-maven-default-skin.pom
%add_maven_depmap JPP.%{name}-maven-default-skin.pom %{name}/maven-default-skin.jar
install -pm 644 maven-classic-skin/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-maven-classic-skin.pom
%add_maven_depmap JPP.%{name}-maven-classic-skin.pom %{name}/maven-classic-skin.jar
install -pm 644 maven-stylus-skin/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-maven-stylus-skin.pom
%add_maven_depmap JPP.%{name}-maven-stylus-skin.pom %{name}/maven-stylus-skin.jar

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 5-7
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 25 2011 Alexander Kurtakov <akurtako@redhat.com> 5-4
- Adapt to current guidelines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 8 2010 Alexander Kurtakov <akurtako@redhat.com> 5-2
- BR maven-site-plugin.

* Wed May 26 2010 Alexander Kurtakov <akurtako@redhat.com> 5-1
- Initial package.
